Subject: Problems importing branches and tags

From: Jean-Marc Valin <[email-masked]>
Date: Fri, 08 Jun 2007 12:35:45 +1000

Hi,

I've been trying to pull the Speex svn into Git with tags and branches.
Unfortunately, every time I try that, I end up pulling the history of
every other project in the repository as well. The command line I use is:
% git-svn clone http://svn.xiph.org/ -T trunk/speex -b
branches/speex-branches -t tags/speex-tags

For some reason, the most recent tags (that were created with svn) get
pulled fine. However, when the older ones (created with CVS and
converted to SVN) get pulled, they end up pulling all the other projects
in the repository (vorbis, mgm, ...).

As you can see from the repository above, the branches/speex-branches
and tags/speex-tags directories only contain Speex stuff, so I can't
understand where the problem comes from. Can anyone help?

	Jean-Marc